MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032289Open CASCADE[OCCT] OCCT:Visualizationpublic2021-04-09 12:102021-04-17 14:02
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032289: Visualization - add NCollection_Mat3 for 3x3 matrix similar to NCollection_Mat4
DescriptionNCollection_Mat4 defines template for 4x4 matrix. It is desired having similar template NCollection_Mat3 for 3x3 matrix.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0024192closedabv Adding support for shaders to OCCT visualization toolkit 

-  Notes
(0100194)
git (administrator)
2021-04-09 12:16

Branch CR32289 has been created by kgv.

SHA-1: 82a68ebc8af31bc7d92f0fe74437bfb23ebae99d


Detailed log of new commits:

Author: kgv
Date: Fri Apr 9 12:16:55 2021 +0300

    0032289: Visualization - add NCollection_Mat3 for 3x3 matrix similar to NCollection_Mat4
    
    Introduced NCollection_Mat3 class similar to NCollection_Mat4.
    Added NCollection_Mat4::operator() alias to NCollection_Mat4::Value().
    Added NCollection_Mat4::Negated(), ::Subtracted(), ::Added(), ::Divided() operations.
    Added a note to NCollection_Mat4::GetData() that matrix values are stored in column-major order.
    Removed duplicated operator== operators from NCollection_Mat4/NCollection_Vec4/NCollection_Vec3/NCollection_Vec2 classes.
(0100195)
git (administrator)
2021-04-09 12:49

Branch CR32289 has been updated forcibly by kgv.

SHA-1: d29122efac16057acc40a68bced40d65a57eae04
(0100197)
git (administrator)
2021-04-09 14:07

Branch CR32289 has been updated forcibly by kgv.

SHA-1: bc855cda4a06f7c62eabaac6f0df93b535ecf30d
(0100198)
git (administrator)
2021-04-09 14:11

Branch CR32289 has been updated forcibly by kgv.

SHA-1: 22f2b889498df47bc3366e7c8416964e51254fc6
(0100200)
git (administrator)
2021-04-09 14:28

Branch CR32289 has been updated forcibly by kgv.

SHA-1: 0ad040ab172f4515573e34718259f41873b376bb
(0100201)
git (administrator)
2021-04-09 14:32

Branch CR32289 has been updated forcibly by kgv.

SHA-1: dac341fc8659e7493e52303e7b18a3d2ee4997bd
(0100202)
git (administrator)
2021-04-09 14:43

Branch CR32289 has been updated forcibly by kgv.

SHA-1: 0de5811434997e06ad41cdf5a9c283578aa137fb
(0100204)
kgv (developer)
2021-04-09 15:59

Patch is ready for review
- OCCT: branch CR32289.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32289-master-KGV/ [^]
(0100205)
osa (developer)
2021-04-09 16:10

The patch was reviewed
(0100224)
bugmaster (administrator)
2021-04-10 13:03

Combination -
OCCT branch : IR-2021-04-09
master SHA - a2af24d1a9e5a4f35749261e95d04ae2f389ccbb
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-09 SHA - b5e0ee5a2dc026e18acf3da707091be5d9d6d746
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18019.250000000382 / 18057.390000000454 [-0.21%]
Products
Total CPU difference: 11542.82000000007 / 11506.800000000105 [+0.31%]
Windows-64-VC14:
OCCT
Total CPU difference: 19509.84375 / 19513.828125 [-0.02%]
Products
Total CPU difference: 12890.46875 / 12943.234375 [-0.41%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100413)
git (administrator)
2021-04-17 14:02

Branch CR32289 has been deleted by inv.

SHA-1: 0de5811434997e06ad41cdf5a9c283578aa137fb

- Related Changesets
occt: master a2af24d1
Timestamp: 2021-04-09 09:16:55
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032289: Visualization - add NCollection_Mat3 for 3x3 matrix similar to NCollection_Mat4

Introduced NCollection_Mat3 class similar to NCollection_Mat4.
Added NCollection_Mat4::operator() alias to NCollection_Mat4::Value().
Added NCollection_Mat4::Negated(), ::Subtracted(), ::Added(), ::Divided() operations.
Added a note to NCollection_Mat4::GetData() that matrix values are stored in column-major order.
Removed duplicated operator== operators from NCollection_Mat4/NCollection_Vec4/NCollection_Vec3/NCollection_Vec2 classes.

Removed obsolete and no more used matrix state fields from OpenGl_Workspace.
Removed obsoiete structure OpenGl_Matrix (replaced by OpenGl_Mat4).
OpenGl_ShaderProgram - duplicated methods have been replaced by templates.
mod - src/BVH/BVH.cxx Diff ] File ]
mod - src/NCollection/FILES Diff ] File ]
add - src/NCollection/NCollection_Mat3.hxx Diff ] File ]
mod - src/NCollection/NCollection_Mat4.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vec2.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vec3.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vec4.hxx Diff ] File ]
mod - src/OpenGl/FILES Diff ] File ]
mod - src/OpenGl/OpenGl_CappingAlgo.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_CappingPlaneResource.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_CappingPlaneResource.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
rm - src/OpenGl/OpenGl_Matrix.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/Standard/Standard_Dump.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-04-09 12:10 kgv New Issue
2021-04-09 12:10 kgv Assigned To => kgv
2021-04-09 12:10 kgv Relationship added child of 0024192
2021-04-09 12:16 git Note Added: 0100194
2021-04-09 12:49 git Note Added: 0100195
2021-04-09 14:07 git Note Added: 0100197
2021-04-09 14:11 git Note Added: 0100198
2021-04-09 14:28 git Note Added: 0100200
2021-04-09 14:32 git Note Added: 0100201
2021-04-09 14:43 git Note Added: 0100202
2021-04-09 15:59 kgv Note Added: 0100204
2021-04-09 15:59 kgv Assigned To kgv => osa
2021-04-09 15:59 kgv Status new => resolved
2021-04-09 16:10 osa Note Added: 0100205
2021-04-09 16:10 osa Assigned To osa => bugmaster
2021-04-09 16:10 osa Status resolved => reviewed
2021-04-10 13:03 bugmaster Note Added: 0100224
2021-04-10 13:03 bugmaster Status reviewed => tested
2021-04-10 13:07 bugmaster Test case number => Not required
2021-04-10 13:16 bugmaster Changeset attached => occt master a2af24d1
2021-04-10 13:16 bugmaster Status tested => verified
2021-04-10 13:16 bugmaster Resolution open => fixed
2021-04-17 14:02 git Note Added: 0100413


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker